Create fusion vector and save additional images

POST /person/fusion


Description

The method creates a fusion vector (combined vector representation) for a person and allows saving additional images or data. A JWT token is required in the header or request body for access.


Request format

  • HTTP method: POST
  • URL: /person/fusion
  • Content type: multipart/form-data
  • Authorization: required

Query Parameters

ParameterTypeWhere passedRequiredDescription
tokenstringHeader, form-data✅*Permanent user token. If a temporary token is not specified in the “token” header, this parameter is required in the request body
list_idstringform-dataPerson list ID
person_idstringform-dataPerson ID
replace_person_idstringform-dataID of the person to replace
embeddingsarrayform-dataFace vector representation
new_person_thresholdstring/numberform-dataMatch threshold for a new person
fieldsarrayform-dataBusiness fields to record

* One of the token transmission options is mandatory.


Example Request (cURL)

curl -X POST "https://api.neuro-vision.ru/v1/person/fusion" 
  -H "Authorization: Bearer jwt.temporary.token" 
  -F "list_id=3fa85f64-5717-4562-b3fc-2c963f66afa6" 
  -F "person_id=75e55780-8943-11ea-9773-e96daa282099" 
  -F "fields=John" 
  -F "fields=Doe" 
  -F "embeddings=0.123,0.456,0.789"

Example Answers

Success (200 OK)
{
  "status": "ok"
}
Error (400 Bad Request)
{
  "message": "invalid schema",
  "status": "error"
}
Error (401 Unauthorized)
{
  "message": "access denied",
  "status": "error"
}
Error (404 Not Found)
{
  "message": "item with this id does not found",
  "status": "error"
}